> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Llms Presets



## OpenAPI

````yaml get /v1/models/llms/presets
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/models/llms/presets:
    get:
      tags:
        - V1 - Platform
      summary: Get Llms Presets
      operationId: get_llms_presets
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SpotflowModelPreset'
                type: array
                title: Response Get Llms Presets
      security:
        - APIKeyHeader: []
components:
  schemas:
    SpotflowModelPreset:
      properties:
        handle:
          anyOf:
            - type: string
            - type: 'null'
          title: Handle
          description: Unique handle for the preset, e.g. 'cost', 'chat-quality'
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
          description: Icon identifier for the preset, e.g. 'dollar', 'gauge', 'zap'
        models:
          items:
            anyOf:
              - type: string
              - $ref: '#/components/schemas/ModelPreset'
          type: array
          title: Models
          description: List of model IDs
        required_capabilities:
          items:
            $ref: '#/components/schemas/ModelCapability'
          type: array
          uniqueItems: true
          title: Required Capabilities
          description: Capabilities required for the preset
          default: []
        capability_check_mode:
          type: string
          enum:
            - any
            - all
          title: Capability Check Mode
          description: >-
            Whether a model must have 'all' required capabilities or just 'any'
            one of them
          default: all
        minimum_speed_tier:
          anyOf:
            - $ref: '#/components/schemas/TierQuality'
            - type: 'null'
          description: Minimum speed tier required for the preset
        minimum_quality_tier:
          anyOf:
            - $ref: '#/components/schemas/TierQuality'
            - type: 'null'
          description: Minimum quality tier required for the preset
        title:
          type: string
          title: Title
          description: Title of the preset
          default: A Model Preset
        subtitle:
          type: string
          title: Subtitle
          description: Subtitle of the preset
          default: A model preset
        description:
          type: string
          title: Description
          description: Description of the preset
          default: A model preset
        parameters:
          anyOf:
            - $ref: '#/components/schemas/ModelParameters'
            - type: 'null'
          description: Parameters of the preset
        data_center_fallback:
          type: boolean
          title: Data Center Fallback
          description: >-
            Whether to use data center fallback, meaning to change regions of
            the model when available
          default: true
        exhaustive:
          type: boolean
          title: Exhaustive
          description: >-
            Whether to exhaustively search for models in the registry, after
            preset if done
          default: false
        type:
          type: string
          const: spotflow
          title: Type
          default: spotflow
      type: object
      required:
        - models
      title: SpotflowModelPreset
    ModelPreset:
      properties:
        handle:
          anyOf:
            - type: string
            - type: 'null'
          title: Handle
          description: Unique handle for the preset, e.g. 'cost', 'chat-quality'
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
          description: Icon identifier for the preset, e.g. 'dollar', 'gauge', 'zap'
        models:
          items:
            anyOf:
              - type: string
              - $ref: '#/components/schemas/ModelPreset'
          type: array
          title: Models
          description: List of model IDs
        required_capabilities:
          items:
            $ref: '#/components/schemas/ModelCapability'
          type: array
          uniqueItems: true
          title: Required Capabilities
          description: Capabilities required for the preset
          default: []
        capability_check_mode:
          type: string
          enum:
            - any
            - all
          title: Capability Check Mode
          description: >-
            Whether a model must have 'all' required capabilities or just 'any'
            one of them
          default: all
        minimum_speed_tier:
          anyOf:
            - $ref: '#/components/schemas/TierQuality'
            - type: 'null'
          description: Minimum speed tier required for the preset
        minimum_quality_tier:
          anyOf:
            - $ref: '#/components/schemas/TierQuality'
            - type: 'null'
          description: Minimum quality tier required for the preset
        title:
          type: string
          title: Title
          description: Title of the preset
          default: A Model Preset
        subtitle:
          type: string
          title: Subtitle
          description: Subtitle of the preset
          default: A model preset
        description:
          type: string
          title: Description
          description: Description of the preset
          default: A model preset
        parameters:
          anyOf:
            - $ref: '#/components/schemas/ModelParameters'
            - type: 'null'
          description: Parameters of the preset
        data_center_fallback:
          type: boolean
          title: Data Center Fallback
          description: >-
            Whether to use data center fallback, meaning to change regions of
            the model when available
          default: true
        exhaustive:
          type: boolean
          title: Exhaustive
          description: >-
            Whether to exhaustively search for models in the registry, after
            preset if done
          default: false
      type: object
      required:
        - models
      title: ModelPreset
    ModelCapability:
      type: string
      enum:
        - streaming
        - function_calling
        - parallel_function_calling
        - vision
        - system_prompt
        - tools
        - json_mode
        - structured_output
        - reasoning
        - web_search
        - audio_in
        - audio_out
        - video_in
        - video_out
        - image_generation
        - document_input
        - spreadsheet_input
      title: ModelCapability
    TierQuality:
      type: string
      enum:
        - low
        - medium
        - high
      title: TierQuality
    ModelParameters:
      properties:
        temperature:
          anyOf:
            - type: number
            - type: string
              const: NOT_GIVEN
          title: Temperature
          description: Controls randomness in generation
          default: NOT_GIVEN
        top_p:
          anyOf:
            - type: number
            - type: string
              const: NOT_GIVEN
          title: Top P
          description: Nucleus sampling threshold
          default: NOT_GIVEN
        top_k:
          anyOf:
            - type: integer
            - type: string
              const: NOT_GIVEN
          title: Top K
          description: Top-k sampling threshold
          default: NOT_GIVEN
        frequency_penalty:
          anyOf:
            - type: number
            - type: string
              const: NOT_GIVEN
          title: Frequency Penalty
          description: Penalty for token frequency
          default: NOT_GIVEN
        presence_penalty:
          anyOf:
            - type: number
            - type: string
              const: NOT_GIVEN
          title: Presence Penalty
          description: Penalty for token presence
          default: NOT_GIVEN
        logit_bias:
          anyOf:
            - additionalProperties:
                type: number
              type: object
            - type: string
              const: NOT_GIVEN
          title: Logit Bias
          description: Token biasing dictionary
          default: NOT_GIVEN
        max_tokens:
          anyOf:
            - type: integer
            - type: string
              const: NOT_GIVEN
          title: Max Tokens
          description: Maximum number of tokens to generate
          default: NOT_GIVEN
        stop:
          anyOf:
            - items:
                type: string
              type: array
            - type: string
              const: NOT_GIVEN
          title: Stop
          description: Stop sequences
          default: NOT_GIVEN
        logprobs:
          anyOf:
            - type: integer
            - type: string
              const: NOT_GIVEN
          title: Logprobs
          description: Number of logprobs to return
          default: NOT_GIVEN
        top_logprobs:
          anyOf:
            - type: integer
            - type: string
              const: NOT_GIVEN
          title: Top Logprobs
          description: Number of most likely tokens to return
          default: NOT_GIVEN
        seed:
          anyOf:
            - type: integer
            - type: string
              const: NOT_GIVEN
          title: Seed
          description: Random seed for reproducibility
          default: NOT_GIVEN
        timeout:
          anyOf:
            - type: number
            - type: string
              const: NOT_GIVEN
          title: Timeout
          description: Request timeout in seconds
          default: NOT_GIVEN
        include_reasoning:
          anyOf:
            - type: boolean
            - type: string
              const: NOT_GIVEN
          title: Include Reasoning
          description: Whether to include reasoning steps
          default: NOT_GIVEN
        reasoning_effort:
          anyOf:
            - type: string
              enum:
                - 'off'
                - low
                - medium
                - high
            - type: string
              const: NOT_GIVEN
          title: Reasoning Effort
          description: Reasoning level
          default: NOT_GIVEN
        parallel_tool_calls:
          anyOf:
            - type: boolean
            - type: string
              const: NOT_GIVEN
          title: Parallel Tool Calls
          description: Whether to allow parallel function calling
          default: NOT_GIVEN
        model_override:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/ModelParameters'
              type: object
            - type: string
              const: NOT_GIVEN
          title: Model Override
          description: Model override parameters
          default: NOT_GIVEN
      type: object
      title: ModelParameters
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````